<?php
/**
 * @author Marijan Šuflaj <msufflaj32@gmail.com>
 * @link http://www.php4every1.com
 */

	//Disable direct view.
	if (!defined('IN_PLUGIN')) die('You can not access this file directly.');
?>
<script type="text/javascript" src="<?php echo get_bloginfo('home'); ?>/wp-content/plugins/tiny-table-of-contents-tinytoc/js/admin.js"></script>

<div class="wrap">
	<h3>Plugin settings</h3>
	<?php
		if (isset($_POST['update']))  require_once('updateSettings.php');
		if (isset($_POST['default'])) require_once('resetSettings.php');
		$config = tinyConfig::getInstance()->get('');
	?>
	<form method="post">
		<h4>General</h4>
		<table class="widefat" style="width: 500px">
			<thead>
				<tr>
					<th width="49%"> Option </th>
					<th> Value </th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td> Enabled: </td>
					<td><input type="checkbox" name="tinytocEnabled" <?php checked('1', $config->tinytoc_settings_enabled); ?> /></td>
				</tr>
				<tr class="alternate">
					<td> Create T.o.C. from: </td>
					<td>
						<input type="radio" name="useStandardHtmlTags" value="0" <?php checked('0', $config->tinytoc_settings_general->useStandardHtmlTags); ?> />[tinytoc level="<em>[1-6]</em>"]<em>text</em>[/tinytoc]<br />
						<input type="radio" name="useStandardHtmlTags" value="1" <?php checked('1', $config->tinytoc_settings_general->useStandardHtmlTags); ?> />&lt;h<em>[1-6]</em>&gt;<em>text</em>&lt;/h<em>[1-6]</em>&gt; HTML-Tags
					</td>
				</tr>
				<tr>
					<td>Create T.o.C. with links to chapters: </td>
					<td><input type="checkbox" name="useGoTo" <?php checked('1', $config->tinytoc_settings_general->useGoTo); ?> /></td>
				</tr>
				<tr class="alternate">
					<td> Remove when not used: </td>
					<td><input type="checkbox" name="removeWhenNotUsed" <?php checked('1', $config->tinytoc_settings_general->removeWhenNotUsed); ?> /></td>
				</tr>
				<tr>
					<td>When paginated post, create T.o.C.: </td>
					<td>
						<input type="radio" name="tocOnAllPages" value="0" <?php checked('0', $config->tinytoc_settings_general->tocOnAllPages); ?> />only on first page<br />
						<input type="radio" name="tocOnAllPages" value="1" <?php checked('1', $config->tinytoc_settings_general->tocOnAllPages); ?> />on all pages
					</td>
				</tr>
				<tr class="alternate">
					<td> Create "Back To Top" link: </td>
					<td><input type="checkbox" name="useBackToTop" <?php checked('1', $config->tinytoc_settings_general->useBackToTop); ?> /> <em>(only on pages with T.o.C.)</em></td>
				</tr>
				<tr>
					<td> Priority: </td>
					<td><input type="text" style="width: 30px;" name="priority" value="<?php echo $config->tinytoc_settings_general->priority; ?>" /></td>
				</tr>
			</tbody>
		</table>
		
		<h4>Header for "Table of Contents"-Element</h4>
		<table class="widefat" style="width: 500px">
			<thead>
				<tr>
					<th width="49%"> Option </th>
					<th> Value </th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td> Title: </td>
					<td><input type="text" name="headerTitle" style="width: 235px;" value="<?php echo $config->tinytoc_settings_header->title; ?>" /></td>
				</tr>
				<tr class="alternate">
					<td> Html before title: </td>
					<td><input type="text" name="headerBefore" style="width: 235px;" value="<?php echo htmlentities($config->tinytoc_settings_header->before); ?>" /></td>
				</tr>
				<tr>
					<td> Html after title: </td>
					<td><input type="text" name="headerAfter" style="width: 235px;" value="<?php echo htmlentities($config->tinytoc_settings_header->after); ?>" /></td>
				</tr>
				<tr class="alternate">
					<td> Header css style: </td>
					<td><textarea name="headerCss" cols="27" rows="3" ><?php echo htmlentities($config->tinytoc_settings_header->css); ?></textarea></td>
				</tr>
			</tbody>
		</table>
		
		<h4>Chapter Headings Enumeration</h4>
		<table class="widefat" style="width: 500px">
			<thead>
				<tr>
					<th width="49%"> Option </th>
					<th> Value </th>
				</tr>
			</thead>
			<tbody id="chapterHeadingsEnumerationTableBody">
				<tr>
					<td> Add Enumeration to Chapter Headings: </td>
					<td><input type="checkbox" onclick="hideUnhide('#useChapterEnumeration', '#chapterHeadingsEnumerationTableBody');" id="useChapterEnumeration" name="useChapterEnumeration" <?php checked('1', $config->tinytoc_chapter_styling->useChapterEnumeration); ?> /></td>
				</tr>
				
				<tr class="alternate hideChapter"<?php if (!$config->tinytoc_chapter_styling->useChapterEnumeration) : ?> style="display:none;"<?php endif; ?>>
					<td> Maximum chapter depth for enumeration: </td>
					<td><input type="hidden" name="maxEnumLevel" value="<?php echo $config->tinytoc_chapter_styling->maxEnumLevel; ?>" />
						<div id="maxEnumLevel" style="display: inline;"> <?php echo $config->tinytoc_chapter_styling->maxEnumLevel; ?> </div>
						<a onclick="return incDecEnumLevel(true)" href="#">+</a>/<a onclick="return incDecEnumLevel(false)" href="#">-</a></td>
				</tr>
			
				<?php for ($i=1; $i<=$config->tinytoc_chapter_styling->maxEnumLevel; $i++) : ?>
				<tr class="hideChapter" <?php if (!$config->tinytoc_chapter_styling->useChapterEnumeration) : ?>style="display:none;"<?php endif; ?>>
					<td> Level <?php echo $i; ?> Enumeration: </td>
					<td>
						<select name="levelEnumerate[<?php echo $i; ?>]">
							<option value="0" <?php selected('0', $config->tinytoc_chapter_styling->levelEnumerate[$i]); ?>>Do not add enumeration</option>
							<option value="1" <?php selected('1', $config->tinytoc_chapter_styling->levelEnumerate[$i]); ?>>1, 2, 3, ...</option>
							<option value="2" <?php selected('2', $config->tinytoc_chapter_styling->levelEnumerate[$i]); ?>>i, ii, iii, ...</option>
							<option value="3" <?php selected('3', $config->tinytoc_chapter_styling->levelEnumerate[$i]); ?>>I, II, III, ...</option>
							<option value="4" <?php selected('4', $config->tinytoc_chapter_styling->levelEnumerate[$i]); ?>>a, b, c, ...</option>
							<option value="5" <?php selected('5', $config->tinytoc_chapter_styling->levelEnumerate[$i]); ?>>A, B, C, ...</option>
						</select>
					</td>
				</tr>
				<tr class="alternate hideChapter" <?php if (!$config->tinytoc_chapter_styling->useChapterEnumeration) : ?>style="display:none;"<?php endif; ?>>
					<td> Level <?php echo $i; ?> Trailing Char: </td>
					<td>
						<select name="levelTrailingChar[<?php echo $i; ?>]">
							<option value="0" <?php selected('0', $config->tinytoc_chapter_styling->levelTrailingChar[$i]); ?>>no trailing character</option>
							<option value="1" <?php selected('1', $config->tinytoc_chapter_styling->levelTrailingChar[$i]); ?>>"." always</option>
							<option value="2" <?php selected('2', $config->tinytoc_chapter_styling->levelTrailingChar[$i]); ?>>"." only when not last chapter level</option>
							<option value="3" <?php selected('3', $config->tinytoc_chapter_styling->levelTrailingChar[$i]); ?>>")" always</option>
							<option value="4" <?php selected('4', $config->tinytoc_chapter_styling->levelTrailingChar[$i]); ?>>")" only when not last chapter level</option>
						</select>
					</td>
				</tr>
				<?php endfor; ?>
			</tbody>
		</table>
		
		<h4>"Back to top" Settings</h4>
		<table class="widefat" style="width: 500px">
			<thead>
				<tr>
					<th width="49%"> Option </th>
					<th> Value </th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td> Html: </td>
					<td><textarea name="backToTopHtml" cols="27" rows="3" ><?php echo htmlentities($config->tinytoc_settings_backtotop->html); ?></textarea></td>
				</tr>
				<tr class="alternate">
					<td> Css: </td>
					<td><textarea name="backToTopCss" cols="27" rows="3" ><?php echo htmlentities($config->tinytoc_settings_backtotop->css); ?></textarea></td>
				</tr>
			</tbody>
		</table>
		
		<h4>Table of contents style</h4>
		<table class="widefat" style="width: 500px">
			<thead>
				<tr>
					<th width="49%"> Option </th>
					<th> Value </th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td> Maximum chapter depth for T.o.C.: </td>
					<td><input type="hidden" name="maxTocLevel" value="<?php echo $config->tinytoc_settings_tocstyle->maxTocLevel; ?>" />
						<div id="maxTocLevel" style="display: inline;"> <?php echo $config->tinytoc_settings_tocstyle->maxTocLevel; ?> </div>
						<a onclick="return incDecTocLevel(true)" href="#">+</a>/<a onclick="return incDecTocLevel(false)" href="#">-</a></td>
				</tr>
				<tr class="alternate">
					<td>Table of Contents item enumeration: </td>
					<td>
						<input type="radio" name="tocEnumerationStyle" onclick="setTocDepthEqualToEnumDepth();" value="0" <?php checked('0', $config->tinytoc_settings_tocstyle->tocEnumerationStyle); ?> />create flat list<br />
						<input type="radio" name="tocEnumerationStyle" onclick="setTocDepthEqualToEnumDepth();" value="1" <?php checked('1', $config->tinytoc_settings_tocstyle->tocEnumerationStyle); ?> />use unordered lists (&lt;ul&gt;)<br />
						<input type="radio" name="tocEnumerationStyle" onclick="setTocDepthEqualToEnumDepth();" value="2" <?php checked('2', $config->tinytoc_settings_tocstyle->tocEnumerationStyle); ?> />use style from heading enumeration
					</td>
				</tr>
			</tbody>
		</table>
		
		<h4>Display on</h4>
		<table class="widefat" style="width: 500px">
			<thead>
				<tr>
					<th width="49%"> Option </th>
					<th> Value </th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td> Post: </td>
					<td><input type="checkbox" name="parsePost" <?php checked('1', $config->tinytoc_settings_parse->parsePost); ?> /></td>
				</tr>
				<tr class="alternate">
					<td> Page: </td>
					<td><input type="checkbox" name="parsePage" <?php checked('1', $config->tinytoc_settings_parse->parsePage); ?> /></td>
				</tr>
				<tr>
					<td> Home page: </td>
					<td><input type="checkbox" name="parseHomePage" <?php checked('1', $config->tinytoc_settings_parse->parseHomePage); ?> /></td>
				</tr>
				<tr class="alternate">
					<td> Search: </td>
					<td><input type="checkbox" name="parseSearch" <?php checked('1', $config->tinytoc_settings_parse->parseSearch); ?> /></td>
				</tr>
				<tr>
					<td> Feed: </td>
					<td><input type="checkbox" name="parseFeed" <?php checked('1', $config->tinytoc_settings_parse->parseFeed); ?> /></td>
				</tr>
				<tr class="alternate">
					<td> Category archive: </td>
					<td><input type="checkbox" name="parseCategory" <?php checked('1', $config->tinytoc_settings_parse->parseCategoryArchive); ?> /></td>
				</tr>
				<tr>
					<td> Date archive: </td>
					<td><input type="checkbox" name="parseDate" <?php checked('1', $config->tinytoc_settings_parse->parseDateArchive); ?> /></td>
				</tr>
				<tr class="alternate">
					<td> Any archive: </td>
					<td><input type="checkbox" name="parseAnyArchive" <?php checked('1', $config->tinytoc_settings_parse->parseAnyArchive); ?> /></td>
				</tr>
				<tr>
					<td> Exclude pages: </td>
					<td><select multiple="multiple" name="excludePages[]" size="5" style="width: 250px; height: 70px;">
							<?php
		                    $pages = get_pages('');
		                    foreach ($pages as $page) :
                            ?>
							<option value="<?php echo $page->ID; ?>" <?php echo (in_array($page->ID, $config->tinytoc_settings_parse->pageExclude)) ? 'selected="selected"' : ''; ?>><?php echo $page->post_title ?></option>
							<?php endforeach; ?>
						</select></td>
				</tr>
				<tr class="alternate">
					<td> Exclude posts: </td>
					<td><select multiple="multiple" name="excludePosts[]" size="5" style="width: 250px; height: 70px;">
							<?php
                            $posts = get_posts('numberposts=-1&orderby=title');
                            foreach ($posts as $post) :
                            ?>
							<option value="<?php echo $post->ID; ?>" <?php echo (in_array($post->ID, $config->tinytoc_settings_parse->postExclude)) ? 'selected="selected"' : ''; ?>><?php echo $post->post_title ?></option>
							<?php endforeach; ?>
						</select></td>
				</tr>
			</tbody>
		</table>
		<p class="submit">
			<input type="submit" name="update" value="Update" />
			<input type="reset" value="Reset">
			<input type="submit" name="default" value="Default" />
		</p>
		<p> <small> <i> Reset button will reset form to its current settings, but Default button will reset settings to default and update them. </i> </small> </p>
	</form>
</div>
