<?php
/**
 * @author Marijan Šuflaj <msufflaj32@gmail.com>
 * @link http://www.php4every1.com
 */

//Disable direct view.
if (!defined('IN_PLUGIN'))
    die('You can not access this file directly.');

//Update settings
$keys = array(
    'tinytoc_settings_enabled',
    'tinytoc_settings_header',
    'tinytoc_settings_general',
    'tinytoc_settings_parse',
    'tinytoc_settings_backtotop',
    'tinytoc_settings_tocstyle',
    'tinytoc_chapter_styling'
);

$settings   = array();
$settings[] = (isset($_POST['tinytocEnabled']) ? '1' : '0');

$config     = new stdClass();
$config->title  = (string) $_POST['headerTitle'];
$config->before = (string) $_POST['headerBefore'];
$config->after  = (string) $_POST['headerAfter'];
$config->css    = (string) $_POST['headerCss'];
$settings[] = $config;

$config = new stdClass();
$config->maxLevelNum         = (int) $_POST['maxLevelNum'];
$config->useStandardHtmlTags = ($_POST['useStandardHtmlTags']==1 ? 1 : 0); 
$config->useBackToTop        = (isset($_POST['useBackToTop']) ? true : false);
$config->useGoTo             = (isset($_POST['useGoTo']) ? true : false);
$config->priority            = (int) $_POST['priority'];
$config->removeWhenNotUsed   = (isset($_POST['removeWhenNotUsed']) ? true : false);
$config->tocOnAllPages       = (int) ($_POST['tocOnAllPages']==1 ? 1 : 0);
$settings[] = $config;

$config = new stdClass();
if (isset($_POST['parseAnyArchive'])) {
    $_POST['parseCategory'] = '1';
    $_POST['parseDate'] = '1';
}
$config->parsePage            = (isset($_POST['parsePage']) ? true : false);
$config->parsePost            = (isset($_POST['parsePost']) ? true : false);
$config->parseHomePage        = (isset($_POST['parseHomePage']) ? true : false);
$config->parseSearch          = (isset($_POST['parseSearch']) ? true : false);
$config->parseFeed            = (isset($_POST['parseFeed']) ? true : false);
$config->parseCategoryArchive = (isset($_POST['parseCategory']) ? true : false);
$config->parseDateArchive     = (isset($_POST['parseDate']) ? true : false);
$config->parseAnyArchive      = (isset($_POST['parseAnyArchive']) ? true : false);
$config->pageExclude          = (array) $_POST['excludePages'];
$config->postExclude          = (array) $_POST['excludePosts'];
$settings[] = $config;

$config = new stdClass();
$config->html = (string) $_POST['backToTopHtml'];
$config->css  = (string) $_POST['backToTopCss'];
$settings[] = $config;

$config = new stdClass();
$config->maxTocLevel           = (int) $_POST['maxTocLevel'];
if ($config->maxTocLevel<1) $config->maxTocLevel = 1;
if ($config->maxTocLevel>9) $config->maxTocLevel = 9;
$config->tocEnumerationStyle   = (int) $_POST['tocEnumerationStyle'];
if ($config->maxTocLevel<1) $config->maxTocLevel = 1;
if ($config->maxTocLevel>9) $config->maxTocLevel = 9;
// When "Use Header Enum" selected, level must be smaller or equel to MaxEnumLevel!
if ($config->maxTocLevel>(int) $_POST['maxEnumLevel'] && $config->tocEnumerationStyle == 2) $config->maxTocLevel = (int) $_POST['maxEnumLevel'];
$settings[] = $config;

// Level Enumeration
$config = new stdClass();
$config->useChapterEnumeration  = (isset($_POST['useChapterEnumeration']) ? true : false);
$config->maxEnumLevel           = (int) $_POST['maxEnumLevel'];
if ($config->maxEnumLevel<1) $config->maxEnumLevel = 1;
if ($config->maxEnumLevel>9) $config->maxEnumLevel = 9;
$config->levelEnumerate         = (array) $_POST['levelEnumerate'];
$config->levelTrailingChar      = (array) $_POST['levelTrailingChar'];
$settings[] = $config;

tinyConfig::getInstance()->update($keys, $settings);
?>
<div class="updated"><p><strong>Options updated.</strong></p></div>